<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
?>
<?php
	if (!defined("IGNX")) { die("Attempt..."); }

if (isset($_GET["tq"]))
{

	$tq = $_GET["tq"];
	
	if ($tq == 1) 
	{
		$tq_v_ruta = LEN_22;
		$tq_v_var = "bus";
		$tq_v_tip = 1;
		// recoge el array
		$tq_todas_tags_nom = todasTAGS();
	
	} else if ($tq == 2)
	{
		$tq_v_ruta = LEN_97;
		$tq_v_var = "bus";
		$tq_v_tip = 2;
		// recoge el array
		$tq_todas_tags_nom = todasCIUDADES();
	
	} else if ($tq == 3)
	{
		$tq_v_ruta = LEN_96;
		$tq_v_var = "bus";
		$tq_v_tip = 3;
		// recoge el array
		$tq_todas_tags_nom = todosPAISES();
	
	} else if ($tq == 4) // tienda
	{
		$tq_v_ruta = LEN_188;
		$tq_v_var = "bup";
		$tq_v_tip = 1;
		// recoge el array
		$tq_todas_tags_nom = todasTAGS_prd();
	
	}
	
	
	// contar las repeticiones
	$tq_todas_tags_contar = array_count_values($tq_todas_tags_nom);

	// ordenar por alfabetico en minusculas
	$tq_matriz_minusculas = array_map('strtolower', $tq_todas_tags_nom);
	array_multisort($tq_matriz_minusculas, SORT_ASC, SORT_STRING, $tq_todas_tags_nom);

	// quitar las repetidas
	$tq_todas_tags_unicas = array_keys(array_flip($tq_todas_tags_nom));


	$tq_todas_tags_buscar = "";

	// si nube de etiquetas
	if (CONFIG_42 == 1)
	{

		for ($c=0; $c < count($tq_todas_tags_unicas); $c++)
		{		
		
			$tq_todas_tags_buscar .= '<a href="'.RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.$tq_v_var.IGUAL.codificar_buscador($tq_todas_tags_unicas[$c]).TPL_SUFIJO_URL.AMPER.'tip'.IGUAL.$tq_v_tip.'" class="etiquetas_menu">';
			
			if ($tq_todas_tags_contar[$tq_todas_tags_unicas[$c]] < 2)
			{
				$fuente = 2;
			
			} else if ($tq_todas_tags_contar[$tq_todas_tags_unicas[$c]] > 5 && $tq_todas_tags_contar[$tq_todas_tags_unicas[$c]] < 12) {
		
				$fuente = 5;	

			} else if ($tq_todas_tags_contar[$tq_todas_tags_unicas[$c]] > 12 && $tq_todas_tags_contar[$tq_todas_tags_unicas[$c]] < 20) {
		
				$fuente = 8;	

			} else if ($tq_todas_tags_contar[$tq_todas_tags_unicas[$c]] > 20) {
		
				$fuente = 12;
			
			} else {
		
				$fuente = $tq_todas_tags_contar[$tq_todas_tags_unicas[$c]];
		
			}
			
			$tq_todas_tags_buscar .= '<font size="'.$fuente.'">'.$tq_todas_tags_unicas[$c].'</font> ';
			$tq_todas_tags_buscar .= '</a>';
		
				
		}

	} else if (CONFIG_42 == 0) {

		for ($c=0; $c < count($tq_todas_tags_unicas); $c++)
		{		
		
			$tq_todas_tags_buscar .= '<a href="'.RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.$tq_v_var.IGUAL.codificar_buscador($tq_todas_tags_unicas[$c]).TPL_SUFIJO_URL.AMPER.'tip'.IGUAL.$tq_v_tip.'" class="etiquetas_menu">';
			$tq_todas_tags_buscar .= $tq_todas_tags_unicas[$c].'('.$tq_todas_tags_contar[$tq_todas_tags_unicas[$c]].') ';
			$tq_todas_tags_buscar .= '</a>';
				
		}

	}
	
	$salida_todas_etiquetas = $tq_todas_tags_buscar;

	// Smarty
	$smarty->assign("salida_todas_etiquetas", $salida_todas_etiquetas);
	$smarty->assign("salida_todas_etiquetas_tipo", $tq_v_tip);
	$smarty->assign("salida_todas_etiquetas_ruta", $tq_v_ruta);

}

?>
